function p=readFitParameters(path,patientID,nclass)
    nr=20;
    pf=zeros(nr,4);
    for realizationId=1:nr
        fname=sprintf('%s_%d_%d_fitParFinal.txt',patientID,nclass,realizationId);
        of=fullfile(path,patientID,fname);
        try
           fitPar=readmatrix(of,'Delimiter','\t');
        catch ME
           fitPar=dlmread(of,'\t') 
        end 
        ft=[fitPar(3) 1/fitPar(4)];%rise and fall time; due to symmetry, they get confused, and max is always fall time and min is rise
        pf(realizationId,2)=max(ft);
        pf(realizationId,3)=1/min(ft);
        pf(realizationId,1)=fitPar(2);%constant
        pf(realizationId,4)=fitPar(5);%delay
        %size(fitPar)
        %fprintf('%.2f %.2f %.2f %.2f\n',fitPar(1),fitPar(2),pf(realizationId,2),pf(realizationId,3));
        
    
    end
    p=pf;
    %fprintf('%.2f %.2f %.2f\n',median(pf(1,:)), median(pf(2,:)),median(pf(3,:)));
  
end
