function [globalPar, cPars]=rfp(path,patientID,nclass,realizationId)
    code=sprintf('%s_%d_%d_IVF',patientID,nclass,realizationId);
    ofile=fullfile(path,patientID,sprintf('%s_fitParFinal.txt',code));
    try
      mat=readmatrix(ofile,'Delimiter','\t');
    catch ME
      mat=dlmread(ofile,'\t')
    end
    globalPar=[mat(2:5) 0 0 0];
    qfit=mat(6:end);
    cPars=reshape(qfit,[],nclass)';
end
